////////// PUERTOS <PORTx>
	#byte PORTA = 0x05
	#byte PORTB = 0x06
	#byte PORTC = 0x07
	#byte PORTD = 0x08
	#byte PORTE = 0x09
////////// TRIS <TRISx>
	#byte TRISA = 0x85
	#byte TRISB = 0x86
	#byte TRISC = 0x87
	#byte TRISD = 0x88
	#byte TRISE = 0x89
////////// OTROS
	#byte OSCCON = 0x8F
	#byte CONFIG1_LOW= 0x2007//Ocupa 2 bytes
	#byte CONFIG1_HIG= 0x2008

////////// PINES <RyX
// En CCS los puertos son PIN_yX, se pone RyX como en el datasheet:
#bit RA0 = PORTA.0
#bit RA1 = PORTA.1
#bit RA2 = PORTA.2
#bit RA3 = PORTA.3
#bit RA4 = PORTA.4 //Boton1
#bit RA5 = PORTA.5 //LED1
#bit RA6 = PORTA.6
#bit RA7 = PORTA.7

#bit RB0 = PORTB.0 //Boton2
#bit RB1 = PORTB.1
#bit RB2 = PORTB.2
#bit RB3 = PORTB.3
#bit RB4 = PORTB.4
#bit RB5 = PORTB.5
#bit RB6 = PORTB.6
#bit RB7 = PORTB.7

#bit RC0 = PORTC.0 //LED3
#bit RC1 = PORTC.1 //M2Enable
#bit RC2 = PORTC.2 //M1Enable
#bit RC3 = PORTC.3
#bit RC4 = PORTC.4
#bit RC5 = PORTC.5
#bit RC6 = PORTC.6
#bit RC7 = PORTC.7

#bit RD0 = PORTD.0 //M1In1
#bit RD1 = PORTD.1 //M1In2
#bit RD2 = PORTD.2 //M2In1
#bit RD3 = PORTD.3 //M2In2
#bit RD4 = PORTD.4 //Sensor3
#bit RD5 = PORTD.5 //Sensor4
#bit RD6 = PORTD.6 //Sensor6
#bit RD7 = PORTD.7 //Sensor5

#bit RE0 = PORTE.0 //LED2
#bit RE1 = PORTE.1 //Sensor2
#bit RE2 = PORTE.2 //Sensor1
#bit RE3 = PORTE.3

//TRIS por separado
#bit TRISA0 = TRISA.0
#bit TRISA1 = TRISA.1
#bit TRISA2 = TRISA.2
#bit TRISA3 = TRISA.3
#bit TRISA4 = TRISA.4
#bit TRISA5 = TRISA.5
#bit TRISA6 = TRISA.6
#bit TRISA7 = TRISA.7
  
#bit TRISB0 = TRISB.0
#bit TRISB1 = TRISB.1
#bit TRISB2 = TRISB.2
#bit TRISB3 = TRISB.3
#bit TRISB4 = TRISB.4
#bit TRISB5 = TRISB.5
#bit TRISB6 = TRISB.6
#bit TRISB7 = TRISB.7
  
#bit TRISC0 = TRISC.0
#bit TRISC1 = TRISC.1
#bit TRISC2 = TRISC.2
#bit TRISC3 = TRISC.3
#bit TRISC4 = TRISC.4
#bit TRISC5 = TRISC.5
#bit TRISC6 = TRISC.6
#bit TRISC7 = TRISC.7
  
#bit TRISD0 = TRISD.0
#bit TRISD1 = TRISD.1
#bit TRISD2 = TRISD.2
#bit TRISD3 = TRISD.3
#bit TRISD4 = TRISD.4
#bit TRISD5 = TRISD.5
#bit TRISD6 = TRISD.6
#bit TRISD7 = TRISD.7
  
#bit TRISE0 = TRISE.0
#bit TRISE1 = TRISE.1
#bit TRISE2 = TRISE.2
#bit TRISE3 = TRISE.3
//Se puede utilizar PORTA.RA1 para programar

//El OSCCON.3 sera 1 para usar reloj externo
#bit OSCCON_OSTS = OSCCON.3
//Y para definir que es de cristal: FOSC=0b001
	//#bit FOSC2 656002 //Estara a 0
	//#bit FOSC1 656001 //Tambien 0, por defecto
	//#bit FOSC0 656000 //Hay que cambiar a 1
#bit FOSC0 = CONFIG1_LOW.0
#bit FOSC1 = CONFIG1_LOW.1
#bit FOSC2 = CONFIG1_LOW.2


//Puertos especiales de la placa
	#bit Boton1   = PORTA.4
	#bit LED1     = PORTA.5
	#bit Boton2   = PORTB.0
	#bit LED3     = PORTC.0
	#bit M2Enable = PORTC.1
	#bit M1Enable = PORTC.2
	#bit M1In1    = PORTD.0
	#bit M1In2    = PORTD.1
	#bit M2In1    = PORTD.2
	#bit M2In2    = PORTD.3
	#bit Sensor3  = PORTD.4
	#bit Sensor4  = PORTD.5
	#bit Sensor6  = PORTD.6
	#bit Sensor5  = PORTD.7
	#bit LED2     = PORTE.0
	#bit Sensor2  = PORTE.1
	#bit Sensor1  = PORTE.2

//Palabras utiles
#define BLANCO 0 //Util para los
#define NEGRO  1 //sensores CNY70